<bugID>886447<Summary>[Session Restore] Optimize communications [meta]</Summary><Description>One of the main costs of session restore is serializing + sending data across threads.

Bug 838577 and bug 867143 introduce a mechanism that lest us determine which parts of the session state has been modified since the last data collection. We can use this to only send the changed data to the I/O thread. This might complicate the code base but this has the potential to improve considerably the speed.</Description></bugID>